curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "568f754f-dcc1-43ce-bcf0-fc7262c02a5f",
"asset_symbol": "USD",
"amount": "10.00",
"source": {
"type": "account_link",
"account_link_id": "al_123e4567-e89b-12d3-a456-426614174000"
}
}
'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits"
payload = {
"method_id": "568f754f-dcc1-43ce-bcf0-fc7262c02a5f",
"asset_symbol": "USD",
"amount": "10.00",
"source": {
"type": "account_link",
"account_link_id": "al_123e4567-e89b-12d3-a456-426614174000"
}
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '568f754f-dcc1-43ce-bcf0-fc7262c02a5f',
asset_symbol: 'USD',
amount: '10.00',
source: {
type: 'account_link',
account_link_id: 'al_123e4567-e89b-12d3-a456-426614174000'
}
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '568f754f-dcc1-43ce-bcf0-fc7262c02a5f',
'asset_symbol' => 'USD',
'amount' => '10.00',
'source' => [
'type' => 'account_link',
'account_link_id' => 'al_123e4567-e89b-12d3-a456-426614174000'
]
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits"
payload := strings.NewReader("{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"reference": "FTZrZD9-miDLDeq3YH1uuy0lTh18Oe"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Create deposit
Requests a deposit from an eligible linked bank account into the selected account.
Use a deposit method whose requirements include bank_link, with a linked bank account from a provider that the method supports. A method that cannot run from a linked bank account is rejected with a bad_request error on method_id.
This operation is not idempotent. Do not automatically retry after a timeout or an ambiguous error because the deposit may already have been initiated.
curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "568f754f-dcc1-43ce-bcf0-fc7262c02a5f",
"asset_symbol": "USD",
"amount": "10.00",
"source": {
"type": "account_link",
"account_link_id": "al_123e4567-e89b-12d3-a456-426614174000"
}
}
'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits"
payload = {
"method_id": "568f754f-dcc1-43ce-bcf0-fc7262c02a5f",
"asset_symbol": "USD",
"amount": "10.00",
"source": {
"type": "account_link",
"account_link_id": "al_123e4567-e89b-12d3-a456-426614174000"
}
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '568f754f-dcc1-43ce-bcf0-fc7262c02a5f',
asset_symbol: 'USD',
amount: '10.00',
source: {
type: 'account_link',
account_link_id: 'al_123e4567-e89b-12d3-a456-426614174000'
}
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '568f754f-dcc1-43ce-bcf0-fc7262c02a5f',
'asset_symbol' => 'USD',
'amount' => '10.00',
'source' => [
'type' => 'account_link',
'account_link_id' => 'al_123e4567-e89b-12d3-a456-426614174000'
]
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits"
payload := strings.NewReader("{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"568f754f-dcc1-43ce-bcf0-fc7262c02a5f\",\n \"asset_symbol\": \"USD\",\n \"amount\": \"10.00\",\n \"source\": {\n \"type\": \"account_link\",\n \"account_link_id\": \"al_123e4567-e89b-12d3-a456-426614174000\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"reference": "FTZrZD9-miDLDeq3YH1uuy0lTh18Oe"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for an account.
14 - 42Body
A deposit from a supported payment source.
Identifier returned by deposit-method discovery for the selected account and asset.
Public symbol of the asset to deposit.
1 - 16Amount to pull, expressed in the asset's units.
1 - 64^[0-9]+(\.[0-9]+)?$Linked bank account to debit for the deposit.
Show child attributes
Show child attributes
Response
Deposit initiation accepted; settlement is asynchronous.
Accepted deposit reference.
Initiated deposit.
Show child attributes
Show child attributes